package com.ruoyi.ibs.list.mapper;

import com.ruoyi.ibs.list.domain.CustManualTagVO;
import com.ruoyi.ibs.list.domain.CustTagVo;
import com.ruoyi.ibs.list.domain.FamilyMembers;
import io.lettuce.core.dynamic.annotation.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 家庭成员信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-11-01
 */
public interface FamilyMembersMapper 
{
    /**
     * 查询家庭成员信息
     * 
     * @param custIsn 家庭成员信息主键
     * @return 家庭成员信息
     */
    public FamilyMembers selectFamilyMembersByCustIsn(String custIsn);

    /**
     * 查询家庭成员信息列表
     * 
     * @param familyMembers 家庭成员信息
     * @return 家庭成员信息集合
     */
    public List<FamilyMembers> selectFamilyMembersList(FamilyMembers familyMembers);

    /**
     * 新增家庭成员信息
     * 
     * @param familyMembers 家庭成员信息
     * @return 结果
     */
    public int insertFamilyMembers(FamilyMembers familyMembers);

    /**
     * 修改家庭成员信息
     * 
     * @param familyMembers 家庭成员信息
     * @return 结果
     */
    public int updateFamilyMembers(FamilyMembers familyMembers);

    /**
     * 删除家庭成员信息
     * 
     * @param custIsn 家庭成员信息主键
     * @return 结果
     */
    public int deleteFamilyMembersByCustIsn(String custIsn);

    /**
     * 批量删除家庭成员信息
     * 
     * @param custIsns 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFamilyMembersByCustIsns(String[] custIsns);



    public List<CustTagVo> selectCustEnumByCustId(Map<String,String> params);

    List<CustManualTagVO> selectmanualListByCustId(Map<String, String> params);
}
